linux-ec2: 2.6.32-371.87 -proposed tracker

Bug #1374635 reported by Brad Figg on 2014-09-26
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Unassigned
Prepare-package
Medium
Stefan Bader
Prepare-package-meta
Medium
Stefan Bader
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Upload-to-ppa-dnu
Medium
Canonical Kernel Team
Verification-testing
Medium
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Friday, 26. September 2014 21:57 UTC
kernel-stable-master-bug:1372657
kernel-stable-Certification-testing-end:Monday, 29. September 2014 12:03 UTC
kernel-stable-Prepare-package-end:Monday, 29. September 2014 18:01 UTC
kernel-stable-Promote-to-proposed-start:Monday, 29. September 2014 18:01 UTC
ppa-package-testing-start:Monday, 29. September 2014 18:01 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 01. October 2014 20:02 UTC
kernel-stable-Security-signoff-start:Wednesday, 01. October 2014 22:05 UTC
kernel-stable-Verification-testing-start:Wednesday, 01. October 2014 22:05 UTC
kernel-stable-Regression-testing-start:Wednesday, 01. October 2014 22:05 UTC
kernel-stable-Verification-testing-end:Tuesday, 07. October 2014 15:03 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 08. October 2014 18:26 UTC
kernel-stable-Regression-testing-end:Wednesday, 08. October 2014 18:26 UTC
kernel-stable-Security-signoff-end:Wednesday, 08. October 2014 18:26 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 08. October 2014 18:57 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 08. October 2014 20:10 UTC

CVE References

This tracking bug was opened to be worked from linux-2.6.32-67.134 update (bug 1372657)

tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu):
importance: Undecided → Medium
Changed in linux-ec2 (Ubuntu Lucid):
importance: Undecided → Medium
Stefan Bader (smb) on 2014-09-29
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-371.87 -proposed tracker
Brad Figg (brad-figg) on 2014-09-29
description: updated
Brad Figg (brad-figg) on 2014-09-29
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Adam Conrad (adconrad) on 2014-10-01
Changed in linux-ec2 (Ubuntu):
status: New → Invalid
Brad Figg (brad-figg) on 2014-10-01
description: updated
Brad Figg (brad-figg) on 2014-10-01
description: updated
description: updated
Brad Figg (brad-figg) on 2014-10-07
description: updated
John Johansen (jjohansen) wrote :

Looks good

Para Siva (psivaa) on 2014-10-08
tags: added: qa-testing-passed
Para Siva (psivaa) wrote :

just noticed an issue in the regression testing, http://pastebin.ubuntu.com/8520160/ during autotest.ubuntu_ecryptfs. Marking the task qa-testing-failed to be on the safe side until we fix the test setup or the issue

tags: added: qa-testing-failed
removed: qa-testing-passed

The bug was tagged as qa-testing-failed

Changed in kernel-sru-workflow:
status: In Progress → Incomplete
Para Siva (psivaa) wrote :

Ok, this was due to missing libattr1-dev package in the env. Once that's installed the tests are passing.

tags: added: qa-testing-passed
removed: qa-testing-failed
Changed in kernel-sru-workflow:
status: Incomplete → In Progress
Brad Figg (brad-figg) on 2014-10-08
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-371.87

---------------
linux-ec2 (2.6.32-371.87) lucid; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-67.134
  * Release Tracking Bug
    - LP: #1374635

  [ Ubuntu: 2.6.32-67.134 ]

  * udf: Avoid infinite loop when processing indirect ICBs
    - LP: #1370042
    - CVE-2014-6410

  [ Ubuntu: 2.6.32-67.133 ]

  * Revert "nfsd: correctly handle return value from nfsd_map_name_to_*"
    - LP: #1365914
  * HID: fix a couple of off-by-ones
    - LP: #1370035
    - CVE-2014-3184
  * USB: whiteheat: Added bounds checking for bulk command response
    - LP: #1370036
    - CVE-2014-3185
 -- Stefan Bader <email address hidden> Mon, 29 Sep 2014 13:05:24 +0200

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-10-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers